dtsrdbrec(user cmd)

NAME
dtsrdbrec — Produce DtSearch database configuration and status report

SYNOPSIS

dtsrdbrecdbname

DESCRIPTION

dtsrdbrec produces a configuration and status report on the specified DtSearch database.

DtSearch databases can be customized with a number of configuration options that are specified at creation time. The dtsrcreate program loads into the database a configuration and status record identifying the configuration options for that particular database instance. In addition, compression algorithm, document counts, and related data are maintained in the status record by dtsrload and dtsrindex.

dtsrdbrec prints to stdout a small report of the current contents of the configuration and status record. It is identical to the report printed by dtsrcreate when the database is created, but can be produced at any time without disturbing the database itself.

OPTIONS

None.

OPERAND

The dbname argument specifies the name of the database for which the report is to be produced. A path prefix is optional. The database name is the 1 to 8 ASCII character string used at creation time

ENVIRONMENT VARIABLES

None.

RESOURCES

None.

ACTIONS/MESSAGES

None.

RETURN VALUES

None.

FILES

dtsrdbrec opens all core database files for dbname.

EXAMPLES

Print a status report for a database named mydb in the current working directory.

dtsrdbrec mydb

Print a status report for a database named mydb in the directory /u/dtsearch.

dtsrdbrec /u/dtsearch/mydb

SEE ALSO

dtsrcreate(1), dtsrdbfiles(4), DtSearch(5)